/*-*-c++-*-
 * $Id: cpaintarea.cpp,v 1.1 2002/01/28 15:38:32 holzheu Exp $
 *
 * This file is part of qlcrash, a GUI for the dump-analysis tool lcrash.
 *
 * Copyright (C) 2001 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * Authors:
 * Michael Geselbracht (let@users.sourceforge.net)
 * Fritz Elfert (elfert@de.ibm.com)
 * Michael Holzheu (holzheu@de.ibm.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */
#include "cpaintarea.h"

CPaintArea::CPaintArea(QWidget *parent, const char *name ) : QFrame(parent, name)
{
}

CPaintArea::~CPaintArea()
{
}

void
CPaintArea::paintEvent(QPaintEvent*)
{
	emit sigPaintEvent();
}

void
CPaintArea::mouseMoveEvent(QMouseEvent* e)
{
	emit sigMouseMoved(e);
}

void
CPaintArea::mousePressEvent(QMouseEvent* e)
{
	emit sigMousePressed(e);
}

void
CPaintArea::mouseDoubleClickEvent(QMouseEvent* e)
{
	emit sigMouseDoubleClicked(e);
}
